## libsoxr 0.1.0

=== CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-13 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

cmake_minimum_required (VERSION 2.8 FATAL_ERROR)

project (soxr C)
set (DESCRIPTION_SUMMARY "High quality, one-dimensional sample-rate conversion library")



# Release versioning:

set (PROJECT_VERSION_MAJOR 0)
set (PROJECT_VERSION_MINOR 1)
set (PROJECT_VERSION_PATCH 0)

# For shared-object; if, since the last public release:
#  * library code changed at all: ++revision
#  * interfaces changed at all:   ++current, revision = 0
#  * interfaces added:            ++age
#  * interfaces removed:          age = 0

set (SO_VERSION_CURRENT  0)
set (SO_VERSION_REVISION 0)
set (SO_VERSION_AGE      0)



# Main options:

include (CMakeDependentOption)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif ()

option (BUILD_TESTS "Build sanity-tests."  ON)
option (BUILD_SHARED_LIBS "Build shared libraries." ON)
option (BUILD_EXAMPLES "Build examples." OFF)
option (WITH_OPENMP "Include OpenMP threading." ON)
option (WITH_LSR_BINDINGS "Include a `libsamplerate'-like interface." ON)
cmake_dependent_option (WITH_SINGLE_PRECISION "Build with single precision (for up to 20-bit accuracy)." ON
  "WITH_DOUBLE_PRECISION" ON)
cmake_dependent_option (WITH_DOUBLE_PRECISION "Build with double precision (for up to 32-bit accuracy)." ON
  "WITH_SINGLE_PRECISION" ON)
cmake_dependent_option (WITH_SIMD "Use SIMD (for faster single precision)." ON
  "WITH_SINGLE_PRECISION" OFF)
cmake_dependent_option (WITH_AVFFT "Use libavcodec (LGPL) for SIMD DFT." OFF
  "WITH_SIMD;NOT WITH_PFFFT" OFF)
cmake_dependent_option (WITH_PFFFT "Use PFFFT (BSD-like licence) for SIMD DFT." ON
  "WITH_SIMD;NOT WITH_AVFFT" OFF)
if (UNIX)
  if (EXISTS ${PROJECT_SOURCE_DIR}/lsr-tests)
    cmake_dependent_option (BUILD_LSR_TESTS "Build LSR tests." OFF
      "WITH_LSR_BINDINGS" OFF)
  endif ()
endif ()



# Introspection:

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

include (CheckFunctionExists)
include (CheckIncludeFiles)
include (CheckLibraryExists)
include (TestBigEndian)

check_library_exists (m pow "" NEED_LIBM)
if (NEED_LIBM)
  set (CMAKE_REQUIRED_LIBRARIES "m;${CMAKE_REQUIRED_LIBRARIES}")
  link_libraries (m)
endif ()

if (WITH_OPENMP)
  find_package (OpenMP)
endif ()
if (OPENMP_FOUND)
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif ()

if (WITH_SIMD)
  find_package (SIMD)
  if (SIMD_FOUND)
    set (HAVE_SIMD 1)
  endif ()
endif ()

if (WITH_SINGLE_PRECISION)
  set (HAVE_SINGLE_PRECISION 1)
endif ()

if (WITH_DOUBLE_PRECISION)
  set (HAVE_DOUBLE_PRECISION 1)
endif ()

if (WITH_AVFFT)
  find_package (LibAVCodec)
  if (AVCODEC_FOUND)
    include_directories (${AVCODEC_INCLUDE_DIRS})
    link_libraries (${AVCODEC_LIBRARIES})
    set (HAVE_AVFFT 1)
  endif ()
endif ()

check_function_exists (lrint HAVE_LRINT)
check_include_files (fenv.h HAVE_FENV_H)
test_big_endian (WORDS_BIGENDIAN)

macro (make_exist)
  foreach (x ${ARGN})
    if (NOT ${x})
      set (${x} 0)
    endif ()
  endforeach ()
endmacro ()

make_exist (HAVE_LRINT HAVE_FENV_H WORDS_BIGENDIAN HAVE_SIMD)
make_exist (HAVE_SINGLE_PRECISION HAVE_DOUBLE_PRECISION HAVE_AVFFT)



# Compiler configuration:

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set (PROJECT_CXX_FLAGS "-Wconversion -Wall -W -pedantic -Wundef -Wcast-align -Wpointer-arith -Wno-long-long")
  set (PROJECT_C_FLAGS "${PROJECT_CXX_FLAGS} -Wnested-externs -Wmissing-prototypes -Wstrict-prototypes")
  if (CMAKE_BUILD_TYPE STREQUAL "Release")
    set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -s") # strip
  endif ()
  #option (VISIBILITY_HIDDEN "Build with -fvisibility=hidden." ON)
  if (VISIBILITY_HIDDEN)
    add_definitions (-fvisibility=hidden)
  endif ()
endif ()

if (MSVC)
  add_definitions (-D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS)
  option (ENABLE_STATIC_RUNTIME "Visual Studio, link with runtime statically."  OFF)
  if (ENABLE_STATIC_RUNTIME)
    foreach (flag_var CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      string (REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
    endforeach ()
  endif ()
  # By default, do not warn when built on machines using only VS Express:
  if (NOT DEFINED CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS)
    set (CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS ON)
  endif ()
endif ()



# Build configuration:

if (${BUILD_SHARED_LIBS} AND ${CMAKE_SYSTEM_NAME} STREQUAL Windows) # Allow exes to find dlls:
  set (BIN ${PROJECT_BINARY_DIR}/bin/)
  set (EXAMPLES_BIN ${BIN})
  set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${BIN})
  set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BIN})
else ()
  set (BIN ./)
  set (EXAMPLES_BIN ../examples/)
endif ()

set (LIB_TYPE STATIC)
if (BUILD_SHARED_LIBS)
  set (LIB_TYPE SHARED)
  if (MSVC)
    add_definitions (-DSOXR_DLL)
  endif ()
endif ()



# Installation configuration:

if (NOT DEFINED BIN_INSTALL_DIR)
  set (BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
endif ()
if (NOT DEFINED LIB_INSTALL_DIR)
  set (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
endif ()
if (NOT DEFINED INCLUDE_INSTALL_DIR)
  set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
endif ()
if (NOT DEFINED DOC_INSTALL_DIR)
  if (UNIX)
    set (DOC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/doc/lib${PROJECT_NAME}")
  else ()
    set (DOC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/doc")
  endif ()
endif ()

if (APPLE)
  option (BUILD_FRAMEWORK "Build an OS X framework." OFF)
  set (FRAMEWORK_INSTALL_DIR "/Library/Frameworks" CACHE STRING "Directory to install frameworks to.")
endif ()



# Top-level:

set (PROJECT_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
math (EXPR SO_VERSION_MAJOR "${SO_VERSION_CURRENT} - ${SO_VERSION_AGE}")
math (EXPR SO_VERSION_MINOR "${SO_VERSION_AGE}")
math (EXPR SO_VERSION_PATCH "${SO_VERSION_REVISION}")
set (SO_VERSION ${SO_VERSION_MAJOR}.${SO_VERSION_MINOR}.${SO_VERSION_PATCH})

configure_file (
  ${PROJECT_SOURCE_DIR}/${PROJECT_NAME}-config.h.in
  ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.h)
include_directories (${PROJECT_BINARY_DIR})

if (BUILD_TESTS OR BUILD_LSR_TESTS)
  enable_testing ()
endif ()

install (FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/README
  ${CMAKE_CURRENT_SOURCE_DIR}/LICENCE
  ${CMAKE_CURRENT_SOURCE_DIR}/NEWS
  DESTINATION ${DOC_INSTALL_DIR})



# Subdirectories:

include_directories (${PROJECT_SOURCE_DIR}/src)

add_subdirectory (src)
if (BUILD_TESTS)
  add_subdirectory (tests)
endif ()
if (BUILD_LSR_TESTS)
  add_subdirectory (lsr-tests)
endif ()
if (BUILD_EXAMPLES OR BUILD_TESTS)
  add_subdirectory (examples)
endif ()



# Rough-and-ready distclean for anyone still doing in-tree builds:

if (UNIX)
  add_custom_target (distclean
    COMMAND make clean && rm -rf
      CMakeCache.txt
      CMakeFiles
      cmake_install.cmake
      CPackConfig.cmake
      CPackSourceConfig.cmake
      deinstall.cmake
      Makefile
      soxr-config.h
      src/CMakeFiles
      src/cmake_install.cmake
      src/libsoxr-dev.src
      src/libsoxr-lsr.pc
      src/libsoxr.pc
      src/libsoxr.src
      src/Makefile)
endif ()



# Deinstallation:

configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/deinstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/deinstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target (deinstall
  COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/deinstall.cmake")



# Packaging:

if (UNIX)
  set (CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
  set (CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
  set (CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")

  set (CPACK_SOURCE_GENERATOR "TGZ")
  set (CPACK_SOURCE_IGNORE_FILES "dist;/lsr-tests/;/Debug/;/Release/;/cpack/;\\\\.swp$;\\\\.gitignore;/\\\\.git/")

  include (CPack)

  if (IS_DIRECTORY ${PROJECT_SOURCE_DIR}/cpack)
    add_subdirectory (cpack)
  endif ()
endif ()

=== src/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-13 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

add_definitions (${PROJECT_C_FLAGS} -DSOXR_LIB)



# Libsoxr configuration:

set (RDFT32 fft4g32)
if (WITH_AVFFT AND AVCODEC_FOUND)
  set (RDFT32S avfft32s)
elseif (WITH_PFFFT)
  set (RDFT32S pffft32s)
elseif (WITH_SIMD)
  set (RDFT32S fft4g32s)
endif ()

if (WITH_DOUBLE_PRECISION)
  set (DP_SOURCES rate64)
endif ()

if (WITH_SINGLE_PRECISION)
  set (SP_SOURCES rate32 ${RDFT32})
endif ()

if (HAVE_SIMD)
  set (SIMD_SOURCES rate32s ${RDFT32S} simd)
  foreach (source ${SIMD_SOURCES})
    set_property (SOURCE ${source} PROPERTY COMPILE_FLAGS ${SIMD_C_FLAGS})
  endforeach ()
endif ()



# Libsoxr:

add_library (${PROJECT_NAME} ${LIB_TYPE} ${PROJECT_NAME}.c data-io dbesi0 filter fft4g64
  ${SP_SOURCES} vr32 ${DP_SOURCES} ${SIMD_SOURCES})
set_target_properties (${PROJECT_NAME} PROPERTIES
  VERSION "${SO_VERSION}"
  SOVERSION ${SO_VERSION_MAJOR}
  INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
  LINK_INTERFACE_LIBRARIES ""
  PUBLIC_HEADER "${PROJECT_NAME}.h")
if (BUILD_FRAMEWORK)
  set_target_properties (${PROJECT_NAME} PROPERTIES FRAMEWORK TRUE)
elseif (NOT WIN32)
  set (TARGET_PCS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc)
  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pc.in ${TARGET_PCS})
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif ()



# LSR bindings:

if (WITH_LSR_BINDINGS)
  set (LSR ${PROJECT_NAME}-lsr)
  set (LSR_SO_VERSION 0.1.8)
  set (LSR_SO_VERSION_MAJOR 0)
  add_library (${LSR} ${LIB_TYPE} lsr)
  target_link_libraries (${LSR} ${PROJECT_NAME})
  set_target_properties (${LSR} PROPERTIES
    VERSION "${LSR_SO_VERSION}"
    SOVERSION ${LSR_SO_VERSION_MAJOR}
    INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
    LINK_INTERFACE_LIBRARIES ""
    PUBLIC_HEADER "${LSR}.h")
  if (BUILD_FRAMEWORK)
    set_target_properties (${LSR} PROPERTIES FRAMEWORK TRUE)
  elseif (NOT WIN32)
    set (TARGET_PCS "${TARGET_PCS} ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc")
    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${LSR}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc)
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
  endif ()
endif ()



# Installation (from build from source):

install (TARGETS ${PROJECT_NAME} ${LSR}
  FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR})



# Packaging (for unix-like distributions):

get_property (LIB1 TARGET ${PROJECT_NAME} PROPERTY LOCATION)
if (BUILD_SHARED_LIBS)
  set (LIB1 ${LIB1}.${SO_VERSION_MAJOR} ${LIB1}.${SO_VERSION})
endif ()
list (APPEND TARGET_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.h")
if (WITH_LSR_BINDINGS)
  get_property (LIB2 TARGET ${LSR} PROPERTY LOCATION)
  if (BUILD_SHARED_LIBS)
    set (LIB2 ${LIB2}.${LSR_SO_VERSION_MAJOR} ${LIB2}.${LSR_SO_VERSION})
  endif ()
  list (APPEND TARGET_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/${LSR}.h")
endif ()
set (TARGET_LIBS ${LIB1} ${LIB2})
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/libsoxr.src.in ${CMAKE_CURRENT_BINARY_DIR}/libsoxr.src)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/libsoxr-dev.src.in ${CMAKE_CURRENT_BINARY_DIR}/libsoxr-dev.src)

=== debian/changelog ===
libsoxr (0.1.0-0ubuntu2) raring; urgency=low

  * Do not export private symbols.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 06 Feb 2013 16:18:12 +0100

libsoxr (0.1.0-0ubuntu1) raring; urgency=low

  * Initial release (Closes: #697614).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 19 Jan 2013 13:59:15 +0100

=== debian/control ===
Source: libsoxr
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>
Build-Depends: cmake (>= 2.8), debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/soxr/
XS-Testsuite: autopkgtest
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libsoxr.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libsoxr.git

Package: libsoxr0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High quality 1D sample-rate conversion library
 The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
 conversion - it may be used, for example, to resample PCM-encoded audio.
 .
 It aims to give fast and high quality results for any constant (rational or
 irrational) resampling ratio. Phase-response, preserved bandwidth, aliasing,
 and rejection level parameters are all configurable; alternatively, simple
 `preset' configurations may be selected.
 .
 A simple API is provided that allows interfacing using commonly-used sample
 formats and buffering schemes.

Package: libsoxr-lsr0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High quality 1D sample-rate conversion library (libsamplerate bindings)
 The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
 conversion - it may be used, for example, to resample PCM-encoded audio.
 .
 It aims to give fast and high quality results for any constant (rational or
 irrational) resampling ratio. Phase-response, preserved bandwidth, aliasing,
 and rejection level parameters are all configurable; alternatively, simple
 `preset' configurations may be selected.
 .
 This package contains bindings compatible with the resampling library
 `libsamplerate' (constant rate).

Package: libsoxr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsoxr-lsr0 (= ${binary:Version}),
         libsoxr0 (= ${binary:Version}),
         ${misc:Depends}
Description: High quality 1D sample-rate conversion library (development files)
 The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
 conversion - it may be used, for example, to resample PCM-encoded audio.
 .
 It aims to give fast and high quality results for any constant (rational or
 irrational) resampling ratio. Phase-response, preserved bandwidth, aliasing,
 and rejection level parameters are all configurable; alternatively, simple
 `preset' configurations may be selected.
 .
 A simple API is provided that allows interfacing using commonly-used sample
 formats and buffering schemes.
 .
 This package contains the development files.

## libsoxr 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set (PROJECT_VERSION_MAJOR 0)
 set (PROJECT_VERSION_MINOR 1)
-set (PROJECT_VERSION_PATCH 0)
+set (PROJECT_VERSION_PATCH 1)
 
 # For shared-object; if, since the last public release:
 #  * library code changed at all: ++revision
@@ -20,9 +20,9 @@
 #  * interfaces added:            ++age
 #  * interfaces removed:          age = 0
 
-set (SO_VERSION_CURRENT  0)
+set (SO_VERSION_CURRENT  1)
 set (SO_VERSION_REVISION 0)
-set (SO_VERSION_AGE      0)
+set (SO_VERSION_AGE      1)
 
 
 
@@ -130,9 +130,10 @@
   if (CMAKE_BUILD_TYPE STREQUAL "Release")
     set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -s") # strip
   endif ()
-  #option (VISIBILITY_HIDDEN "Build with -fvisibility=hidden." ON)
+  cmake_dependent_option (VISIBILITY_HIDDEN "Build with -fvisibility=hidden." ON
+    "BUILD_SHARED_LIBS" OFF)
   if (VISIBILITY_HIDDEN)
-    add_definitions (-fvisibility=hidden)
+    add_definitions (-fvisibility=hidden -DSOXR_VISIBILITY)
   endif ()
 endif ()
 
@@ -180,7 +181,7 @@
   set (BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
 endif ()
 if (NOT DEFINED LIB_INSTALL_DIR)
-  set (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+  set (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
 endif ()
 if (NOT DEFINED INCLUDE_INSTALL_DIR)
   set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")

=== examples/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-13 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

if (${BUILD_EXAMPLES})
  project (soxr) # Adds c++ compiler
  file (GLOB SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/[1-9]-*.[cC])
elseif (${BUILD_TESTS})
  file (GLOB SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/3*.c)
endif ()

if (${BUILD_EXAMPLES} OR ${BUILD_TESTS})
  if (${WITH_LSR_BINDINGS})
    set (LSR_SOURCES 1a-lsr.c)
  endif ()
endif ()

if (NOT BUILD_SHARED_LIBS AND OPENMP_FOUND)
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_C_FLAGS}")
endif ()
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${PROJECT_C_FLAGS}")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PROJECT_CXX_FLAGS}")
link_libraries (${PROJECT_NAME})

foreach (fe ${SOURCES} ${LSR_SOURCES})
  get_filename_component (f ${fe} NAME_WE)
  add_executable (${f} ${fe})
  if (${f} STREQUAL "1a-lsr")
    target_link_libraries (${f} soxr-lsr)
  endif ()
endforeach ()

if (${BUILD_TESTS} AND ${WITH_LSR_BINDINGS})
  add_test (lsr-bindings ${BIN}1a-lsr)
endif ()

file (GLOB INSTALL_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.[cCh])
install (FILES ${INSTALL_SOURCES} ${CMAKE_CURRENT_SOURCE_DIR}/README DESTINATION ${DOC_INSTALL_DIR}/examples)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,10 @@
 
 set (RDFT32 fft4g32)
 if (WITH_AVFFT AND AVCODEC_FOUND)
+  set (RDFT32 avfft32)
   set (RDFT32S avfft32s)
 elseif (WITH_PFFFT)
+  #set (RDFT32 pffft32)
   set (RDFT32S pffft32s)
 elseif (WITH_SIMD)
   set (RDFT32S fft4g32s)
@@ -57,7 +59,7 @@
 
 if (WITH_LSR_BINDINGS)
   set (LSR ${PROJECT_NAME}-lsr)
-  set (LSR_SO_VERSION 0.1.8)
+  set (LSR_SO_VERSION 0.1.9)
   set (LSR_SO_VERSION_MAJOR 0)
   add_library (${LSR} ${LIB_TYPE} lsr)
   target_link_libraries (${LSR} ${PROJECT_NAME})

=== debian/changelog ===
libsoxr (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Link examples with -lm. Thanks to Martin Pitt for the patch.

 -- Benjamin Drung <bdrung@debian.org>  Fri, 05 Apr 2013 13:06:38 +0200

libsoxr (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #697614).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 19 Jan 2013 13:59:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libsoxr
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>
 Build-Depends: cmake (>= 2.8), debhelper (>= 9)
 Standards-Version: 3.9.4

## libsoxr 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 set (PROJECT_VERSION_MAJOR 0)
 set (PROJECT_VERSION_MINOR 1)
-set (PROJECT_VERSION_PATCH 1)
+set (PROJECT_VERSION_PATCH 2)
 
 # For shared-object; if, since the last public release:
 #  * library code changed at all: ++revision
@@ -21,7 +21,7 @@
 #  * interfaces removed:          age = 0
 
 set (SO_VERSION_CURRENT  1)
-set (SO_VERSION_REVISION 0)
+set (SO_VERSION_REVISION 1)
 set (SO_VERSION_AGE      1)
 
 
@@ -75,10 +75,11 @@
 
 if (WITH_OPENMP)
   find_package (OpenMP)
-endif ()
-if (OPENMP_FOUND)
-  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
-  set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
+  if (OPENMP_FOUND)
+    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
+    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
+    set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} ${OpenMP_SHARED_LINKER_FLAGS}")
+  endif ()
 endif ()
 
 if (WITH_SIMD)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,20 @@
 # SoX Resampler Library       Copyright (c) 2007-13 robs@users.sourceforge.net
 # Licence for this file: LGPL v2.1                  See LICENCE for details.
+
+
+
+# Can generate vr-coefs.h but it complicates cross-compiling & non-cmake builds
+
+if (NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/vr-coefs.h)
+  include_directories(${CMAKE_CURRENT_BINARY_DIR})
+  set_property(SOURCE vr32.c APPEND PROPERTY OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/vr-coefs.h)
+  add_executable (vr-coefs vr-coefs.c)
+  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/vr-coefs.h
+    COMMAND vr-coefs > ${CMAKE_CURRENT_BINARY_DIR}/vr-coefs.h
+    DEPENDS vr-coefs)
+endif ()
+
+
 
 add_definitions (${PROJECT_C_FLAGS} -DSOXR_LIB)

=== tests/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-13 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

add_definitions (${PROJECT_C_FLAGS})
link_libraries (${PROJECT_NAME})

file (GLOB SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.c)
foreach (fe ${SOURCES})
  get_filename_component (f ${fe} NAME_WE)
  add_executable (${f} ${fe})
endforeach ()

enable_testing ()

set (sweep_to_freq 22050)
set (leader 1)
set (len 16)
math (EXPR base_rate "${sweep_to_freq} + ${sweep_to_freq}")

macro (add_vector r)
  set (output ${CMAKE_CURRENT_BINARY_DIR}/ref-${r}.s32)
  add_custom_command (OUTPUT ${output} DEPENDS vector-gen ${CMAKE_CURRENT_LIST_FILE}
    COMMAND vector-gen ${r} ${leader} ${len} ${sweep_to_freq} 1 ${output})
  set (vectors ${output} ${vectors})
endmacro ()

macro (add_cmp_test from to bits)
  set (name ${bits}-bit-perfect-${from}-${to})
  add_test (NAME ${name} COMMAND ${CMAKE_COMMAND} -Dbits=${bits} -DBIN=${BIN} -DEXAMPLES_BIN=${EXAMPLES_BIN} -Dleader=${leader} -Dto=${to}
    -Dfrom=${from} -Dlen=${len} -P ${CMAKE_CURRENT_SOURCE_DIR}/cmp-test.cmake)
  add_vector (${from})
  add_vector (${to})
endmacro ()

unset (test_bits)
if (WITH_SINGLE_PRECISION)
  set (test_bits 20)
endif ()
if (WITH_DOUBLE_PRECISION)
  set (test_bits ${test_bits} 24)
endif ()

foreach (b ${test_bits})
  foreach (r 96000 65537)
    add_cmp_test (${base_rate} ${r} ${b})
    add_cmp_test (${r} ${base_rate} ${b})
  endforeach ()
endforeach ()

add_custom_target (test-vectors ALL DEPENDS ${vectors})

add_test (1-delay-clear ${BIN}1-delay-clear)

=== debian/changelog ===
libsoxr (0.1.2-3) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS:  Closes: #853194
    + Feed endianness from DEB_HOST_ARCH_ENDIAN.
    + Honour DEB_BUILD_OPTIONS=nocheck.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch.
  * Bump debhelper compat level to 10.
    + Drop --parallel, now default.
  * Bump Standards-Version to 4.1.1, no changes needed.
  * Drop explicit Testsuite field, not needed anymore.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 04 Nov 2017 21:58:23 +0100

libsoxr (0.1.2-2) unstable; urgency=medium

  * Define NDEBUG to disable debug output (Closes: #822727, LP: #1649224)
  * Update Vcs links to point to https URLs
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Use https for copyright format specification URL
  * Enable all hardening flags

 -- Benjamin Drung <bdrung@debian.org>  Sun, 25 Dec 2016 18:41:58 +0100

libsoxr (0.1.2-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * New upstream release.
  * Drop example_linking.patch (applied upstream)
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Drop XS- prefix for Testsuite field
  * Correct short license of src/pffft.* to Spherepack
  * Fix dep5-copyright-license-name-not-unique

  [ Alessio Treglia ]
  * Add myself as Uploader.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 24 Sep 2015 20:44:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Benjamin Drung <bdrung@debian.org>
-Build-Depends: cmake (>= 2.8), debhelper (>= 9)
-Standards-Version: 3.9.4
+Uploaders: Benjamin Drung <bdrung@debian.org>,
+           Alessio Treglia <alessio@debian.org>
+Build-Depends: cmake (>= 2.8), debhelper (>= 10)
+Standards-Version: 4.1.1
 Homepage: http://sourceforge.net/projects/soxr/
-XS-Testsuite: autopkgtest
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libsoxr.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libsoxr.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libsoxr.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libsoxr.git
 
 Package: libsoxr0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

CONFIGURE_FLAGS = -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		  -DDOC_INSTALL_DIR=/usr/share/doc/libsoxr-dev

ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
CONFIGURE_FLAGS += -DHAVE_WORDS_BIGENDIAN_EXITCODE=0
else
CONFIGURE_FLAGS += -DHAVE_WORDS_BIGENDIAN_EXITCODE=1
endif

ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
CONFIGURE_FLAGS += -DBUILD_TESTS=0 -DBUILD_EXAMPLES=1
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_compress:
	dh_compress -X.c -X.C

=== debian/watch ===
version=3
http://sf.net/soxr/soxr-(.+)-Source\.tar\.xz

## libsoxr 0.1.3

=== src/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-16 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.



# Can generate vr-coefs.h but it complicates cross-compiling & non-cmake builds

if (NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/vr-coefs.h)
  include_directories(${CMAKE_CURRENT_BINARY_DIR})
  set_property(SOURCE vr32.c
      APPEND PROPERTY OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/vr-coefs.h)
  add_executable (vr-coefs vr-coefs.c)
  target_link_libraries (vr-coefs ${LIBM_LIBRARIES})
  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/vr-coefs.h
    COMMAND vr-coefs > ${CMAKE_CURRENT_BINARY_DIR}/vr-coefs.h
    DEPENDS vr-coefs)
endif ()



add_definitions (${PROJECT_C_FLAGS} -DSOXR_LIB)



# Libsoxr configuration:

set (RDFT32 fft4g32)
if (AVCODEC_FOUND)
  set (RDFT32 avfft32)
  set (RDFT32S avfft32s)
elseif (WITH_PFFFT)
  #set (RDFT32 pffft32)
  set (RDFT32S pffft32s)
elseif (WITH_CR32S)
  set (RDFT32S fft4g32s)
  if (NOT WITH_CR32)
    list (APPEND RDFT32S fft4g32)
  endif ()
endif ()

set (SOURCES ${PROJECT_NAME}.c data-io)

if (WITH_CR32 OR WITH_CR32S OR WITH_CR64 OR WITH_CR64S)
  list (APPEND SOURCES dbesi0 filter fft4g64 cr)
endif ()

if (WITH_CR32)
  list (APPEND SOURCES cr32 ${RDFT32})
endif ()

if (WITH_CR64)
  list (APPEND SOURCES cr64)
endif ()

if (WITH_VR32)
  list (APPEND SOURCES vr32)
endif ()

if (WITH_CR32S)
  foreach (source cr32s ${RDFT32S} util32s)
    list (APPEND SOURCES ${source})
    set_property (SOURCE ${source}
        APPEND_STRING PROPERTY COMPILE_FLAGS ${SIMD32_C_FLAGS})
  endforeach ()
endif ()

if (WITH_CR64S)
  foreach (source cr64s pffft64s util64s)
    list (APPEND SOURCES ${source})
    set_property (SOURCE ${source}
        APPEND_STRING PROPERTY COMPILE_FLAGS ${SIMD64_C_FLAGS})
  endforeach ()
endif ()



# Libsoxr:

add_library (${PROJECT_NAME} ${LIB_TYPE} ${SOURCES})
target_link_libraries (${PROJECT_NAME} PRIVATE ${LIBS} ${LIBM_LIBRARIES})
set_target_properties (${PROJECT_NAME} PROPERTIES
  VERSION "${SO_VERSION}"
  SOVERSION ${SO_VERSION_MAJOR}
  INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
  LINK_INTERFACE_LIBRARIES ""
  PUBLIC_HEADER "${PROJECT_NAME}.h")
if (BUILD_FRAMEWORK)
  set_target_properties (${PROJECT_NAME} PROPERTIES FRAMEWORK TRUE)
elseif (NOT WIN32)
  set (TARGET_PCS ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc)
  configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pc.in ${TARGET_PCS})
  install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif ()



# LSR bindings:

if (WITH_LSR_BINDINGS)
  set (LSR ${PROJECT_NAME}-lsr)
  set (LSR_SO_VERSION 0.1.9)
  set (LSR_SO_VERSION_MAJOR 0)
  add_library (${LSR} ${LIB_TYPE} ${LSR})
  target_link_libraries (${LSR} ${PROJECT_NAME})
  set_target_properties (${LSR} PROPERTIES
    VERSION "${LSR_SO_VERSION}"
    SOVERSION ${LSR_SO_VERSION_MAJOR}
    INSTALL_NAME_DIR ${LIB_INSTALL_DIR}
    LINK_INTERFACE_LIBRARIES ""
    PUBLIC_HEADER "${LSR}.h")
  if (BUILD_FRAMEWORK)
    set_target_properties (${LSR} PROPERTIES FRAMEWORK TRUE)
  elseif (NOT WIN32)
    set (TARGET_PCS "${TARGET_PCS} ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc")
    configure_file (${CMAKE_CURRENT_SOURCE_DIR}/${LSR}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc)
    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LSR}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
  endif ()
endif ()



# Installation (from build from source):

install (TARGETS ${PROJECT_NAME} ${LSR}
  FRAMEWORK DESTINATION ${FRAMEWORK_INSTALL_DIR}
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  RUNTIME DESTINATION ${BIN_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
  PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR})

=== debian/changelog ===
libsoxr (0.1.3-4build3) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:47:47 +0200

libsoxr (0.1.3-4build2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:20:18 +0100

libsoxr (0.1.3-4build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:18:24 +0200

libsoxr (0.1.3-4) unstable; urgency=medium

  * Team upload.
  * Update the patch fixing the pkg-config content, so the Version field is
    correct also when built without nocheck.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 06 May 2020 16:13:53 +0200

libsoxr (0.1.3-3) unstable; urgency=medium

  * Team upload

  [ Mattia Rizzolo ]
  * Add patch to fix the content of the pkg-config file when built with nocheck.
    (Closes: #942795)

  [ Sebastian Ramacher ]
  * debian/patches: Revert "Add patch to fix FTBFS in sparc64." (Closes:
    #944017)
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 May 2020 22:47:06 +0200

libsoxr (0.1.3-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Mattia Rizzolo ]
  * Add patch to fix FTBFS in sparc64.  Closes: #942746
  * Set Rules-Requires-Root:no.
  * Add Build-Depends-Package to the .symbols files.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 21 Oct 2019 14:54:34 +0200

libsoxr (0.1.3-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release. (Closes: #934612)
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.
    - Remove obsolete Pre-Depends.
  * debian/rules: Remove obsolete configure flag
  * debian/patches: Remove since applied upstream.
  * debian/copyright: Remove unused paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 09 Sep 2019 20:28:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libsoxr
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Benjamin Drung <bdrung@debian.org>,
            Alessio Treglia <alessio@debian.org>
-Build-Depends: cmake (>= 2.8), debhelper (>= 10)
-Standards-Version: 4.1.1
+Build-Depends: cmake (>= 2.8), debhelper-compat (= 12)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://sourceforge.net/projects/soxr/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libsoxr.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libsoxr.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libsoxr
+Vcs-Git: https://salsa.debian.org/multimedia-team/libsoxr.git
 
 Package: libsoxr0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High quality 1D sample-rate conversion library
  The SoX Resampler library `libsoxr' performs one-dimensional sample-rate
@@ -30,7 +31,6 @@
 Package: libsoxr-lsr0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High quality 1D sample-rate conversion library (libsamplerate bindings)
  The SoX Resampler library `libsoxr' performs one-dimensional sample-rate

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,6 @@
 
 CONFIGURE_FLAGS = -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		  -DDOC_INSTALL_DIR=/usr/share/doc/libsoxr-dev
-
-ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
-CONFIGURE_FLAGS += -DHAVE_WORDS_BIGENDIAN_EXITCODE=0
-else
-CONFIGURE_FLAGS += -DHAVE_WORDS_BIGENDIAN_EXITCODE=1
-endif
 
 ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 CONFIGURE_FLAGS += -DBUILD_TESTS=0 -DBUILD_EXAMPLES=1

=== debian/tests/control ===
Tests: inst-check
Depends: build-essential, libsoxr-dev, pkg-config
